com.io7m.r2.core.cursors

## Interface R2RGBA8ReadableType

- All Superinterfaces:
    com.io7m.jpra.runtime.java.JPRAValueType
  All Known Subinterfaces:
    R2RGBA8Type
  All Known Implementing Classes:
    R2RGBA8ByteBuffered

      public interface R2RGBA8ReadableType
      extends com.io7m.jpra.runtime.java.JPRAValueType

  The readable interface to values of the `R2RGBA8` record type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getColorA()`
    `byte` | `getColorB()`
    `byte` | `getColorG()`
    `byte` | `getColorR()`
    `int` | `metaColorAOffsetFromCursor()`
    `int` | `metaColorAOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaColorAType()`
    `int` | `metaColorBOffsetFromCursor()`
    `int` | `metaColorBOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaColorBType()`
    `int` | `metaColorGOffsetFromCursor()`
    `int` | `metaColorGOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaColorGType()`
    `int` | `metaColorROffsetFromCursor()`
    `int` | `metaColorROffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaColorRType()`

    - ### Methods inherited from interface com.io7m.jpra.runtime.java.JPRAValueType

      `sizeOctets`

- - ### Method Detail

    - #### metaColorROffsetFromType

          int metaColorROffsetFromType()

      Returns:
        The offset in octets of the `color_r` field, from the start of the type

    - #### metaColorROffsetFromCursor

          int metaColorROffsetFromCursor()

      Returns:
        The offset in octets of the `color_r` field, from the cursor

    - #### metaColorRType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaColorRType()

      Returns:
        The type of the `color_r` field

    - #### getColorR

          byte getColorR()

      Returns:
        The value of the `color_r` field

    - #### metaColorGOffsetFromType

          int metaColorGOffsetFromType()

      Returns:
        The offset in octets of the `color_g` field, from the start of the type

    - #### metaColorGOffsetFromCursor

          int metaColorGOffsetFromCursor()

      Returns:
        The offset in octets of the `color_g` field, from the cursor

    - #### metaColorGType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaColorGType()

      Returns:
        The type of the `color_g` field

    - #### getColorG

          byte getColorG()

      Returns:
        The value of the `color_g` field

    - #### metaColorBOffsetFromType

          int metaColorBOffsetFromType()

      Returns:
        The offset in octets of the `color_b` field, from the start of the type

    - #### metaColorBOffsetFromCursor

          int metaColorBOffsetFromCursor()

      Returns:
        The offset in octets of the `color_b` field, from the cursor

    - #### metaColorBType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaColorBType()

      Returns:
        The type of the `color_b` field

    - #### getColorB

          byte getColorB()

      Returns:
        The value of the `color_b` field

    - #### metaColorAOffsetFromType

          int metaColorAOffsetFromType()

      Returns:
        The offset in octets of the `color_a` field, from the start of the type

    - #### metaColorAOffsetFromCursor

          int metaColorAOffsetFromCursor()

      Returns:
        The offset in octets of the `color_a` field, from the cursor

    - #### metaColorAType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaColorAType()

      Returns:
        The type of the `color_a` field

    - #### getColorA

          byte getColorA()

      Returns:
        The value of the `color_a` field

Copyright © 2016 <code@io7m.com> http://io7m.com